Loading...
Searching...
No Matches
form_lazy_multiply_rep< Expr1, Expr2 >

## Detailed Description

template<class Expr1, class Expr2>
class rheolef::details::form_lazy_multiply_rep< Expr1, Expr2 >

Definition at line 618 of file form_lazy_expr.h.

## Public Types

using | size_type = geo_element::size_type
using | memory_type = typename Expr1::memory_type
using | scalar_type = typename Expr1::scalar_type
using | space_type = typename Expr1::space_type
using | geo_type = typename Expr1::geo_type
using | float_type = typename float_traits<scalar_type>::type
using | band_type = band_basic<float_type,memory_type>
using | matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

## Public Member Functions

| form_lazy_multiply_rep (const Expr1 &expr1, const Expr2 &expr2)
const geo_type & | get_geo () const
const space_type & | get_trial_space () const
const space_type & | get_test_space () const
bool | is_on_band () const
band_type | get_band () const
void | initialize (const geo_type &omega_K) const
bool | is_diagonal () const
void | evaluate (const geo_type &omega_K, const geo_element &K, matrix_element_type &ak) const

## Protected Attributes

Expr1 | _expr1
Expr2 | _expr2
geo_type | _prev_omega_K
size_type | _prev_K_dis_ie
matrix_element_type | _prev_ck

## Member Typedef Documentation

## size_type

template<class Expr1, class Expr2>

using size_type = geo_element::size_type

Definition at line 622 of file form_lazy_expr.h.

## memory_type

template<class Expr1, class Expr2>

using memory_type = typename Expr1::memory_type

Definition at line 623 of file form_lazy_expr.h.

## scalar_type

template<class Expr1, class Expr2>

using scalar_type = typename Expr1::scalar_type

Definition at line 624 of file form_lazy_expr.h.

## space_type

template<class Expr1, class Expr2>

using space_type = typename Expr1::space_type

Definition at line 625 of file form_lazy_expr.h.

## geo_type

template<class Expr1, class Expr2>

using geo_type = typename Expr1::geo_type

Definition at line 626 of file form_lazy_expr.h.

## float_type

template<class Expr1, class Expr2>

using float_type = typename float_traits<scalar_type>::type

Definition at line 627 of file form_lazy_expr.h.

## band_type

template<class Expr1, class Expr2>

using band_type = band_basic<float_type,memory_type>

Definition at line 628 of file form_lazy_expr.h.

## matrix_element_type

template<class Expr1, class Expr2>

using matrix_element_type = Eigen::Matrix<scalar_type,Eigen::Dynamic,Eigen::Dynamic>

Definition at line 629 of file form_lazy_expr.h.

## Constructor & Destructor Documentation

## form_lazy_multiply_rep()

template<class Expr1, class Expr2>

form_lazy_multiply_rep | ( | const Expr1 & | expr1,
|  | const Expr2 & | expr2 )

Definition at line 633 of file form_lazy_expr.h.

## Member Function Documentation

## get_geo()

template<class Expr1, class Expr2>

const form_lazy_multiply_rep< Expr1, Expr2 >::geo_type & get_geo | ( |  | ) | const

Definition at line 696 of file form_lazy_expr.h.

## get_trial_space()

template<class Expr1, class Expr2>

const space_type & get_trial_space | ( |  | ) | const

Definition at line 644 of file form_lazy_expr.h.

## get_test_space()

template<class Expr1, class Expr2>

const space_type & get_test_space | ( |  | ) | const

Definition at line 645 of file form_lazy_expr.h.

## is_on_band()

template<class Expr1, class Expr2>

bool is_on_band | ( |  | ) | const

Definition at line 646 of file form_lazy_expr.h.

## get_band()

template<class Expr1, class Expr2>

band_type get_band | ( |  | ) | const

Definition at line 647 of file form_lazy_expr.h.

## initialize()

template<class Expr1, class Expr2>

void initialize | ( | const geo_type & | omega_K | ) | const

Definition at line 668 of file form_lazy_expr.h.

## is_diagonal()

template<class Expr1, class Expr2>

bool is_diagonal | ( |  | ) | const

Definition at line 650 of file form_lazy_expr.h.

## evaluate()

template<class Expr1, class Expr2>

void evaluate | ( | const geo_type & | omega_K,
|  | const geo_element & | K,
|  | matrix_element_type & | ak ) const

Definition at line 703 of file form_lazy_expr.h.

## Member Data Documentation

## _expr1

template<class Expr1, class Expr2>

Expr1 _expr1

mutable protected

Definition at line 659 of file form_lazy_expr.h.

## _expr2

template<class Expr1, class Expr2>

Expr2 _expr2

mutable protected

Definition at line 660 of file form_lazy_expr.h.

## _prev_omega_K

template<class Expr1, class Expr2>

geo_type _prev_omega_K

mutable protected

Definition at line 661 of file form_lazy_expr.h.

## _prev_K_dis_ie

template<class Expr1, class Expr2>

size_type _prev_K_dis_ie

mutable protected

Definition at line 662 of file form_lazy_expr.h.

## _prev_ck

template<class Expr1, class Expr2>

matrix_element_type _prev_ck

mutable protected

Definition at line 663 of file form_lazy_expr.h.

The documentation for this class was generated from the following file:

- /build/rheolef-L67pNR/rheolef-7.2/main/lib/form_lazy_expr.h